ch.hevs.isi.core

## Class DataPoint

- java.lang.Object
- - ch.hevs.isi.core.DataPoint

Direct Known Subclasses:
  BooleanDataPoint, FloatDataPoint

    public abstract class DataPoint
    extends java.lang.Object

### Field Summary

Fields
`static java.util.Map<java.lang.String,DataPoint>` `dataPointMap`

### Constructor Summary

Constructors
`protected` `DataPoint(java.lang.String label, boolean isOutput)` Constructor of DataPoint

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DataPoint` `getDataPointOnListFromLabel(java.lang.String label)` Get the DataPoint from the label
`java.lang.String` `getLabel()` Just get the label of this DataPoint
`boolean` `isOutput()`
`protected void` `update(boolean isNewValue)` Update the value of this DataPoint and notify every connector If this is a new value (doesn't exist), add it to the dataPointMap

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dataPointMap

    public static java.util.Map<java.lang.String,DataPoint> dataPointMap

### Constructor Detail

#### DataPoint

    protected DataPoint(java.lang.String label,
                        boolean isOutput)

Constructor of DataPoint

Parameters:
  `label` - label of this DataPoint
  `isOutput` - true if this DataPoint is an output, false if it's an input

### Method Detail

#### update

    protected void update(boolean isNewValue)

Update the value of this DataPoint and notify every connector If this is a new value (doesn't exist), add it to the dataPointMap

Parameters:
  `isNewValue` - true if this is a new value, false if it's an update

#### getDataPointOnListFromLabel

    public static DataPoint getDataPointOnListFromLabel(java.lang.String label)

Get the DataPoint from the label

Parameters:
  `label` - label of the DataPoint
Returns:
  the DataPoint if it exists, null otherwise

#### getLabel

    public java.lang.String getLabel()

Just get the label of this DataPoint

Returns:
  the label in a string

#### isOutput

    public boolean isOutput()